批处理新手入门导读[视频教程]批处理基础视频教程[视频教程]VBS基础视频教程
[批处理文件精品]批处理版照片整理器[批处理文件精品]纯批处理备份&还原驱动在线第三方下载
返回列表 发帖

[问题求助] 請教Python安裝EPC报错的解決方法

os:     win8 x86 32bits
python: python3.7.4

我直接从官方源安裝,結果如下:
  1. d:/emacs/home/.emacs.d$ pip.exe install epc
  2. Collecting epc
  3.   Using cached epc-0.0.5.tar.gz (17 kB)
  4.     ERROR: Command errored out with exit status 1:
  5.      command: 'd:\emacs\home\.emacs.d\binforwin\environment\python.exe' -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\ADMINI~1\\AppData\\Local\\Temp\\pip-install-8hx7yel9\\epc_7f89cb9012424a6a8888b9ab0c056954\\setup.py'"'"'; __file__='"'"'C:\\Users\\ADMINI~1\\AppData\\Local\\Temp\\pip-install-8hx7yel9\\epc_7f89cb9012424a6a8888b9ab0c056954\\setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base 'C:\Users\ADMINI~1\AppData\Local\Temp\pip-pip-egg-info-la1mkw11'
  6.          cwd: C:\Users\ADMINI~1\AppData\Local\Temp\pip-install-8hx7yel9\epc_7f89cb9012424a6a8888b9ab0c056954\
  7.     Complete output (5 lines):
  8.     Traceback (most recent call last):
  9.       File "<string>", line 1, in <module>
  10.       File "C:\Users\ADMINI~1\AppData\Local\Temp\pip-install-8hx7yel9\epc_7f89cb9012424a6a8888b9ab0c056954\setup.py", line 3, in <module>
  11.         import epc
  12.     ModuleNotFoundError: No module named 'epc'
复制代码
改成手动从源代码安裝,提示如下:
  1. d:/emacs/home/epc-0.0.5$ python.exe setup.py install
  2. Traceback (most recent call last):
  3.   File "setup.py", line 3, in <module>
  4.     import epc
  5. ModuleNotFoundError: No module named 'epc'
复制代码

这个问题我也遇到了,我装future的时候也提示模块找不到。

TOP

回复 2# netdzb
  1.     classifiers=[
  2.         "Development Status :: 3 - Alpha",
  3.         'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
  4.         'Programming Language :: Python',
  5.         'Programming Language :: Python :: 2',
  6.         'Programming Language :: Python :: 2.6',
  7.         'Programming Language :: Python :: 2.7',
  8.         'Programming Language :: Python :: 3',
  9.         'Programming Language :: Python :: 3.2',
  10.         "Programming Language :: Emacs-Lisp",
  11.         # see: http://pypi.python.org/pypi?%3Aaction=list_classifiers
复制代码
setup.py这里写明了版本要求,但是有人用scoop里面的python3.9来安裝EPC又完全可以,头大现在,我用的是python for windows

TOP

回复 3# dxg123

你试试这个
pip install future看看是不是也报模块找不到的错误。
会不会是因为系统是32位的关系?

TOP

回复 4# netdzb

刚试过了,確實安裝不上,我不清楚python 还会區分32位呢

TOP

回复 4# netdzb


我换成python3.8.7,安裝成功了,你试试

TOP

回复 6# dxg123

好的,我去试一下。谢谢!

TOP

返回列表